{

    // 支援技召唤测试

    "AbilityName" : "TestPlayer_Ability_Tianheng_11",

    "AbilityStacking": "Unique",



    "AbilityMixins" : 

    [

        {

            "$type" : "MoleMole.SummonMixin",

            "SummonType" : "Avatar",

            "SummonID" : 1051,

            "SummonDuration" : 10,

            "SummonTag" : ["Test"],

            "TimesUpDelay" : 2,

            "OverrideDelay" : 2,

            "SummonPosRot" : 

            {

                "TargetOption" : 

                {

                    "$type" : "MoleMole.ConfigPosRotReferTarget",

                    "OffsetReferTarget" : "Self"

                },

                "CoordsOption" : "Self",

                "Offset" : 

                {

                    "PositionOffset" : {"x":5.0, "y":0.0, "z":5.0},

                    "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0}

                }

            },



            "OnSummonCreatedActions" : 

            [

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 1,

                    "ParamName" : "Trigger_PressAttackB",

                    "Target" : "Target",

                    "BoolVal" : true

                }

            ],



            "OnSummonTimesUpActions" : 

            [

                {

                    "$type" : "MoleMole.SetAnimCtrlerParamAction",

                    "ParamType" : 1,

                    "ParamName" : "Trigger_Die",

                    "Target" : "Target",

                    "BoolVal" : true

                }

            ]

        }

    ]

}